import { IBox, IVec } from "../types";
/**
 * Grows the box to include a given point.
 *
 * Extends the box's bounding edges, if needed, to encapsulate the given point.
 * If the point is already inside the box, this function does nothing.
 *
 * @param box the box to potentially grow
 * @param point the point that the box should grow to include
 * @param out
 */
export declare function boxEncapsulate(box: IBox, point: IVec, out?: IBox): IBox;
