var GC_INTERVAL_MS = 5000;
// tslint:disable-next-line:class-name
var _Allocator = /** @class */ (function () {
    function _Allocator() {
        this.pool = [[], []];
    }
    _Allocator.prototype.allocTempArray = function (length) {
        var allocated = this.pool[length];
        if (allocated !== undefined) {
            return allocated;
        }
        var nextValue = [];
        nextValue.length = length;
        this.pool[length] = nextValue;
        this.maybeScheduleGc();
        return nextValue;
    };
    _Allocator.prototype.maybeScheduleGc = function () {
        var _this = this;
        if (this.scheduledGc === undefined) {
            this.scheduledGc = setTimeout(function () {
                _this.scheduledGc = undefined;
                _this.pool = [[], []];
            }, GC_INTERVAL_MS);
        }
    };
    return _Allocator;
}());
export { _Allocator };
