import { lineReset } from "../lineFunctions/lineReset";
import { EPSILON_SQ } from "./const";
export function _lookAt(x0, y0, x1, y1, out) {
    var dx = x1 - x0;
    var dy = y1 - y0;
    var lenSq = dx * dx + dy * dy;
    if (lenSq < EPSILON_SQ) {
        return lineReset(x0, y0, NaN, NaN, out);
    }
    else {
        var lenInverse = 1 / Math.sqrt(lenSq);
        return lineReset(x0, y0, dx * lenInverse, dy * lenInverse, out);
    }
}
