import { ILine } from "../types";
/**
 * Gets a point along the line, parameterized according to distance along its
 * direction vector.
 *
 * Retrieves a point on the line's geometry according to moving distance _t_
 * along the direction vector from its initial point.
 *
 * Synonymous to {@link rayGetPointAt}.
 *
 * @param line the line to inspect
 * @param t distance along the line at which to compute point
 * @param out
 * @see {@link ILine}
 * @see {@link lineGetPointAt}
 */
export declare function lineGetPointAt(line: ILine, t: number, out?: import("../types").IVec): import("../types").IVec;
