import { ILine, IVec } from "../types";
/**
 * Projects a point onto the given line, returning the distance _t_ along the line where it falls.
 *
 * This function basically computes the dot product of the relative vector from the line's initial
 * point to the given point.
 *
 * To find the closest point at which the line comes to the given point, which is the image
 * of the point projected onto the line, see {@link lineGetClosestPoint}.
 *
 * @param line line to inspect
 * @param point point to project onto the line
 * @param out
 */
export declare function lineProjectPoint(line: ILine, point: IVec, out?: IVec): IVec;
