import { IMat2d } from "../types";
/**
 * Returns whether the matrix corresponds to only a translation.
 *
 * Affine translation matrices have the form
 *
 * ```
 * ⎡1 0 tx⎤
 * ⎣0 1 ty⎦
 * ```
 *
 * @param mat the matrix to inspect
 * @see {@link mat2dIsOrthogonal}
 */
export declare function mat2dIsTranslationOnly(mat: IMat2d): boolean;
