import { IMat2d } from "../types";
/**
 * Applies a translation on top of the given matrix, returning the result.
 *
 * This is equivalent to _left_-multiplying the matrix by a translation transform; that is,
 * the result of this function is equivalent to a transform that first applies the matrix _mat_
 * and then translates according to (+tx, +ty).
 *
 * @param mat the matrix to transform
 * @param tx x-component of the translation to apply
 * @param ty y-component of the translation to apply
 * @param out
 * @see {@link mat2dFromTranslation}
 * @see {@link mat2dMulMat2d}
 */
export declare function mat2dTranslate(mat: IMat2d, tx: number, ty: number, out?: IMat2d): IMat2d;
