var PointIntersectionResult = /** @class */ (function () {
    function PointIntersectionResult(exists, x, y, t0, t1) {
        if (exists === void 0) { exists = false; }
        if (x === void 0) { x = NaN; }
        if (y === void 0) { y = NaN; }
        if (t0 === void 0) { t0 = NaN; }
        if (t1 === void 0) { t1 = NaN; }
        this.exists = exists;
        this.x = x;
        this.y = y;
        this.t0 = t0;
        this.t1 = t1;
    }
    return PointIntersectionResult;
}());
/**
 * Creates a new PointIntersectionResult object in memory, with all values initialized to `false` and `NaN`.
 * This is useful to hold the result of math2d function calls in performance
 * critical workflows.
 */
export function pointIntersectionResultAlloc() {
    return new PointIntersectionResult();
}
