/**
 * Determines whether the point is inside the given polygon, using the even-odd fill rule.
 *
 * @param poly the polygon to inspect
 * @param point the point to check for containment
 */
export function polygonContainsPointInside(poly, point) {
    var x = point.x;
    var y = point.y;
    var inside = false;
    for (var i = 0; i < poly.length; i += 2) {
        var x0 = poly[i];
        var y0 = poly[i + 1];
        var x1 = i !== poly.length - 2 ? poly[i + 2] : poly[0];
        var y1 = i !== poly.length - 2 ? poly[i + 3] : poly[1];
        var intersects = y0 > y !== y1 > y && x - x0 < ((x1 - x0) * (y - y0)) / (y1 - y0);
        if (intersects) {
            inside = !inside;
        }
    }
    return inside;
}
