import { IPolygon } from "../types";
/**
 * Computes a point along the polygon's perimeter, parameterized according to linear interpolation between
 * adjacent vertices, cycling back to the start after its last vertex.
 *
 * A polygon with _N_ sides is parameterized according to _t_, where integer values of _t0_ correspond to the polygon's
 * vertices in order, and smooth values of _t0_ therein interpolate linearly between adjacent vertices, with an
 * additional segment connecting the last vertex to the first.
 *
 * @param poly the polygon to compute a point on
 * @param t the parameter variable at which a point should be calculated
 * @param out
 */
export declare function polygonGetPerimeterPointAt(poly: IPolygon, t: number, out?: import("../types").IVec): import("../types").IVec;
