import { IPolygon } from "../types";
/**
 * Returns a polygon's side by given index as a segment, starting at 0.
 *
 * The given side index must be in the range [0, N) for a polygon with _N_ vertices:
 * this function does not accommodate "cycling" of polygon side indices. If an out of range
 * index is given, this function returns a segment with all `NaN` values.
 *
 * @param poly the polygon to inspect
 * @param index which side to return, starting with 0
 * @param out
 */
export declare function polygonGetSideSegment(poly: IPolygon, index: number, out?: import("../types").ISegment): import("../types").ISegment;
