import { boxAlloc } from "../boxFunctions/boxAlloc";
import { boxEncapsulate } from "../boxFunctions/boxEncapsulate";
import { boxReset } from "../boxFunctions/boxReset";
import { vecAlloc } from "../vecFunctions/vecAlloc";
import { vecReset } from "../vecFunctions/vecReset";
var TMP0 = vecAlloc();
/**
 * Computes bounding box of polyline's geometry
 *
 * @param poly
 * @param out
 */
export function polylineGetBounds(poly, out) {
    if (out === void 0) { out = boxAlloc(); }
    boxReset(Infinity, Infinity, -Infinity, -Infinity, out);
    for (var i = 0; i < poly.length; i += 2) {
        var v0 = vecReset(poly[i], poly[i + 1], TMP0);
        boxEncapsulate(out, v0, out);
    }
    return out;
}
