import { IPolyline } from "../types";
/**
 * Computes the parametric value _t_ along the polyline corresponding to a distance _d_.
 *
 * This function can be used along with {@link polylineGetPointAt} to find the actual
 * (x, y) point corresponding to a distance traveled _d_ along the polyline.
 *
 * @param poly the polyline to inspect
 * @param d distance along the polyline to travel
 * @see {@link IPolyline}
 * @see {@link polylineGetDistanceAtT}
 */
export declare function polylineGetTAtDistance(poly: IPolyline, d: number): number;
