import { IPolyline, IVec } from "../types";
/**
 * Finds the closest the polyline comes to a given reference point.
 *
 * The returned value _t_ is defined according to the {@link IPolyline} parameterization:
 * values of _t0_ are between 0 and the polyline's vertex count minus 1, and smooth values of T
 * signify linear interpolation between the two adjacent vertices along the polyline's geometry.
 *
 * This function returns the squared euclidean distance in the `distanceValue` field of the result.
 *
 * @param poly the polyline to inspect
 * @param point the point to measure distance to
 * @param out
 * @see {@link IPolyline}
 * @see {@link INearestPointResult}
 */
export declare function polylineNearestDistanceSqToPoint(poly: IPolyline, point: IVec, out?: import("../types").INearestPointResult): import("../types").INearestPointResult;
