import { IRay, IVec } from "../types";
/**
 * Determines if the point is on the ray
 *
 * This function tests whether the point lies along the ray's geometry,
 * using allowed error _ε_ = 1e-8. The point must lie on the positive side
 *  of the ray (_t_ > 0).
 *
 * @param ray the ray to inspect
 * @param point point to check whether it's on the ray
 * @see {@link lineContainsPoint}
 * @see {@link lineWhichSide}
 */
export declare function rayContainsPoint(ray: IRay, point: IVec): boolean;
