/**
 * Computes the squared straight-line (i.e. Euclidean) distance between the two points
 *
 * @param u the first point
 * @param v the second point to which squared distance should be measured
 * @see {@link vecDistance}
 * @see {@link vecGetLengthSq}
 */
export function vecDistanceSq(u, v) {
    var dx = v.x - u.x;
    var dy = v.y - u.y;
    return dx * dx + dy * dy;
}
